Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Need Downloader for Firefox 52esr. I did NOT consent to automatic updating to 60.2

  • 3 replies
  • 1 has this problem
  • 12 views
  • Last reply by James

more options

Not sure why Firefox updated itself, but I NEVER allow automatic updating, and this is a perfect example why.

Need the installer for 52esr or need Mozilla to enable compatibility for older extensions. Thank you.

All Replies (3)

more options

Hi, pick your Language : https://ftp.mozilla.org/pub/firefox/releases/52.9.0esr/win64/

Before you do should check for alternatives to the extension your using as it may work now or there is something else just as good. https://addons.mozilla.org/firefox/

more options
more options

A note about the legacy Extensions since the old legacy Firefox 52 is now EOL with no more updates as 52.9.0esr was the last.

https://blog.mozilla.org/addons/2018/08/21/timeline-for-disabling-legacy-firefox-add-ons/